pub mod collator;
mod element;
mod table;
mod weights;

pub fn fmt(sort_key: &[u16]) -> String {
    use std::borrow::Cow;

    sort_key
        .iter()
        .map(|x| match x {
            0 => Cow::Borrowed("|"),
            _ => Cow::Owned(format!("{:04X}", x)),
        })
        .collect::<Vec<_>>()
        .join(" ")
}
